var headerTemplate = {
  'home': '<span class="header-right"><img src="./image/share.png" style="width:20px;height:auto;margin-top:13px" onclick="share()"/></span><p>菜大王</p>',
  'alls':'<p>全部菜品</p>',
  'frequent':'<p>' +
    '<div class="ui-searchbar-wrap ui-border-b" style="width:70%;margin:auto">' +
        '<div class="ui-searchbar ui-border-radius" id="searchBtn">' +
            '<i class="ti-search" style="vertical-align: top;margin-right: 8px; padding-top: 2px; margin-top: 6px; display: inline-block;"></i>' +
            '<div class="ui-searchbar-text">鸡蛋</div>' +
            '<div class="ui-searchbar-input"><input value="" type="tel" placeholder="鸡蛋" autocapitalize="off"></div>' +
            '<i class="ui-icon-close"></i>' +
        '</div>' +
        '<span class="ti-plus header-right" aria-hidden="true" onclick="addFrequentProduct()"></span>' +
    '</div>' +
  '</p>',
  'addFrequentProducts': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'frequent\',\'addFrequentProducts\',\'frequent\')"></span><p>添加常用商品</p>',
  'cart': '<span class="header-right" style="font-size: 14px !important; font-weight: 100 !important" onclick="cartManage()">管理</span><p>购物车</p>',
  'order': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'cart\',\'order\',\'cart\')"></span><p>填写订单</p>',
  'chooseAddress': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'cart\',\'chooseAddress\',\'order\')"></span><p>选择收货地址</p>',
  'payWay': '<span class="ti-angle-left" aria-hidden="true" onclick="gotoWaitPay()"></span><p>收银台</p>',
  'waitPayment': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'cart\',\'waitPayment\',\'cart\')"></span><p>订单详情</p>',
  'mys': '',
  'myInfo': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'myInfo\',\'mys\')"></span><p style="line-height:50px;font-size: 20px;">个人信息</p>',
  'updateNickName': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'updateNickName\',\'myInfo\')"></span><p style="line-height:50px;font-size: 20px;">修改昵称</p>',
  'myEnterpriseInfo': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'myEnterpriseInfo\',\'myInfo\')"></span><p style="line-height:50px;font-size: 20px;">企业信息</p>',
  'myUsers': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'myUsers\',\'myEnterpriseInfo\')"></span><p style="line-height:50px;font-size: 20px;">企业用户</p>',
  'waitPay': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'waitPay\',\'mys\')"></span><p style="line-height:50px;font-size: 20px;">待付款</p>',
  'waitDelivery': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'waitDelivery\',\'mys\')"></span><p style="line-height:50px;font-size: 20px;">待发货</p>',
  'waitTaking': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'waitTaking\',\'mys\')"></span><p style="line-height:50px;font-size: 20px;">待收货</p>',
  'myOrder': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'myOrder\',\'mys\')"></span><p style="line-height:50px;font-size: 20px;">我的订单</p>',
  'newDemand': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'neDemand\',\'mys\')"></span><p>新品需求</p>',
  'invoiceInfo': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'invoiceInfo\',\'mys\')"></span><p>发票信息</p>',
  'myFeedback': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'myFeedback\',\'mys\')"></span><span class="ti-plus header-right" aria-hidden="true" onclick="addFeedback()"></span><p>我的反馈</p>',
  'feedbackArticle': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'feedbackArticle\',\'myFeedback\')"></span><p></p>',
  'addFeedback': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'addFeedback\',\'myFeedback\')"></span></span><p>新增反馈</p>',
  'myReturnCash': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'myReturnCash\',\'mys\')"></span><p>我的返现</p>',
  'myPacket': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'myPacket\',\'mys\')"></span><p>我的钱包</p>',
  'share': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'share\',\'mys\')"></span><span class="fa fa-share header-right" aria-hidden="true" onclick="sharePersonal()"></span><p>分享</p>',
  'myAddress': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'myAddress\',\'myInfo\')"></span><span class="ti-plus header-right" aria-hidden="true" onclick="addAddress()"></span><p>收货地址</p>',
  'addAddress': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'addAddress\',\'myAddress\')"></span><p>添加收货地址</p>',
  'editAddress': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'editAddress\',\'myAddress\')"></span><p>修改收货地址</p>',
  'frequentQuestion': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'frequentQuestion\',\'mys\')"></span><p>常见问题</p>',
  'frequentQuestionAndAnswer': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'frequentQuestionAndAnswer\',\'frequentQuestion\')"></span><p></p>',
  'serviceCenter': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'serviceCenter\',\'mys\')"></span><p>服务中心</p>',
  'serviceArticle': '<span class="ti-angle-left" aria-hidden="true" onclick="goBack(\'mys\',\'serviceArticle\',\'serviceCenter\')"></span><p></p>'
}

//'<span class="ti-email header-right" style="font-weight:100;right:52px" aria-hidden="true"></span>' +

function controlHeaderDisplay(type){
  if(type === 'hidden'){
    $api.css($api.byId('header'), 'display: block');
  }else{
    $api.css($api.byId('header'), 'display: block');
  }
}

function gotoFrame(dir, template, headerH, frameH, flag, isReload){

  var reload = typeof isReload === "boolean" ? isReload : true;
  var url;
  if(dir === template){
    url = './html/'+ dir + '/' + template + '.html';
  }else{
    url = '../../html/'+ dir + '/' + template + '.html';
  }
  if(flag){
    url = './html/'+ dir + '/' + template + '.html'
  }
  if(template === 'mys'){
    api.openFrame({
        name: template,
        url: url,
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h: frameH + headerH
        },
        bgColor: '#fff',
        reload: true,
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        pageParam: {
            headerHeight: headerH
        }
    });
  }else{
    api.openFrame({
        name: template,
        url: url,
        rect: {
            x: 0,
            y: headerH,
            w: 'auto',
            h: frameH
        },
        bgColor: '#fff',
        reload: reload,
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        pageParam: {
            headerHeight: headerH
        }
    });
  }

}
